#include "Dvf99UpgradeWrapper.h"
#include "dvf99_upgrade.h"
#include <android/log.h>


int Dvf99_Firmware_Upgrade(const char *portName, unsigned baudRate, const char *sourceFile)
{

	__android_log_print(ANDROID_LOG_VERBOSE,"Dvf99UpgradeWrapper","Dvf99_Firmware_Upgrade ::%s  %d %s",portName,baudRate,sourceFile);
	Dvf99_upgrade dvfupgrade;
	int result = dvfupgrade.upgrade_DVF99(portName,baudRate,sourceFile);
	
	return result;
}
